Package com.sas.lsaf.content.workspace

## Class WorkspaceItem

- java.lang.Object
- - com.sas.lsaf.content.workspace.WorkspaceItem

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `WorkspaceFile`, `WorkspaceFolder`

      public abstract class WorkspaceItem
      extends java.lang.Object
      implements java.io.Serializable

  The abstract base class for workspace folders and files.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkspaceItem​(java.lang.String path, java.util.Date lastModifiedDate)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Date` | `getLastModifiedDate()` | Gets the date on which the workspace item was last modified.
    `java.lang.String` | `getPath()` | Gets the path to the workspace item.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkspaceItem

          public WorkspaceItem​(java.lang.String path,
                               java.util.Date lastModifiedDate)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the workspace items returned by the API.
      Parameters:
        `path` - the path of the item in the workspace.
        `lastModifiedDate` - the date on which the item was last modified.

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Gets the path to the workspace item.
      Returns:
        The path of the workspace item.

    - #### getLastModifiedDate

          public java.util.Date getLastModifiedDate()

      Gets the date on which the workspace item was last modified.
      Returns:
        The date on which the workspace item was last modified.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`